
D4Science Infrastructure - Incident #3755

Auth service down in /gcube/preprod and /gcube/devsec

Apr 20, 2016 10:30 AM - Massimiliano Assante

Status: Closed Start date: Apr 20, 2016

Priority: High Due date: Apr 20, 2016

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

History

#1 - Apr 20, 2016 10:31 AM - Massimiliano Assante

- Priority changed from Normal to High

[PORTAL] 422790 [TP-Processor6] TRACE org.gcube.common.authorization.library.provider.CalledMethodProvider  - 

setting calledMethod as execute in thread 89

2016-04-20 08:31:21,051 DEBUG provider.SecurityTokenProvider [TP-Processor6,get:25] %[PORTAL] 422791 [TP-Proce

ssor6] DEBUG org.gcube.common.authorization.library.provider.SecurityTokenProvider  - gettin securityToken nul

l in thread 89

[PORTAL] 422793 [TP-Processor6] TRACE org.gcube.common.authorization.library.provider.CalledMethodProvider  - 

getting calledMethod as execute in thread 89

2016-04-20 08:31:21,147 INFO  icclient.ICClient [TP-Processor6,callService:65] %[PORTAL] 422887 [TP-Processor6

] INFO  org.gcube.resources.discovery.icclient.ICClient  - executed query declare namespace ic = 'http://gcube

-system.org/namespaces/informationsystem/registry'; for $resource in collection('/db/Profiles/RunningInstance'

)//Document/Data/ic:Profile/Resource, $entry in $resource/Profile/AccessPoint/RunningInstanceInterfaces/Endpoi

nt where ($resource/Profile/ServiceClass/text() eq 'Common') and ($resource/Profile/ServiceName/text() eq 'Aut

horizationService') and ($resource/Profile/DeploymentData/Status/text() eq 'ready') and (contains($entry/strin

g(),'authorization-service/gcube/service')) return $entry/text() in 98 ms

2016-04-20 08:31:21,156 INFO  delegates.DiscoveryDelegate [TP-Processor6,make:133] %[PORTAL] 422896 [TP-Proces

sor6] INFO  org.gcube.common.clients.delegates.DiscoveryDelegate  - calling authorization-service/gcube/servic

e @ <?xml version="1.0" encoding="UTF-8" standalone="yes"?><EndpointReference xmlns="http://www.w3.org/2005/08

/addressing"><Address>http://node27.d.d4science.research-infrastructures.eu:8080/authorization-service/gcube/s

ervice</Address><ReferenceParameters/><Metadata/></EndpointReference>

[PORTAL] 422907 [TP-Processor6] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/share-up

dates-1.9.0-3.10.0].[ShareUpdates]  - Servlet.service() for servlet ShareUpdates threw exception

org.gcube.common.clients.exceptions.ServiceException: java.lang.Exception: error contacting authorization serv

ice

    at org.gcube.common.clients.exceptions.FaultDSL$AsClause.asServiceException(FaultDSL.java:38)

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generate(DefaultAuthorizationProx

y.java:62)

    at org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper.setAuthorizationToken(ScopeHelper.java:162

)

    at org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper.setContext(ScopeHelper.java:136)

    at org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper.setContext(ScopeHelper.java:59)

    at org.gcube.portlets.user.shareupdates.server.portlet.ShareUpdatesPortlet.doView(ShareUpdatesPortlet.java

:24)

    at javax.portlet.GenericPortlet.doDispatch(GenericPortlet.java:328)

#2 - Apr 20, 2016 10:40 AM - Massimiliano Assante

- Subject changed from Auth service down in /gcube/preprod to Auth service down in /gcube/preprod and /gcube/devsec

Auth service is down on both /gcube/preprod and /gcube/devsec

#3 - Apr 20, 2016 05:27 PM - Lucio Lelii

- Status changed from New to Closed

- % Done changed from 0 to 100
